commit:     6c6d253e86791b617b80f8bcf88993417cce2041
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 21:35:57 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 21:35:57 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c6d253e

sys-power/upower: Version bump

Package-Manager: portage-2.2.27

 sys-power/upower/Manifest             |  1 +
 sys-power/upower/upower-0.99.4.ebuild | 85 +++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/sys-power/upower/Manifest b/sys-power/upower/Manifest
index 7458855..7144a3c 100644
--- a/sys-power/upower/Manifest
+++ b/sys-power/upower/Manifest
@@ -1,2 +1,3 @@
 DIST upower-0.99.2.tar.xz 428668 SHA256 
e9dc453adf96b89c92ccccd33f2b6543258344f7c8ba89460dc0a92a8180946f SHA512 
a7859c91078140f460556ecf998a706b403d5ed2ff073fffa93730c95e62a8ec00b91f6669d74afd8d0ada73d75b27320d52a3589765712dc078f78a28ea527b
 WHIRLPOOL 
42abf07947bcd1709045d3a0c945161b98a422e90c31ebda7a69783ee8915ecd9d048713412b3f1e26d4db96f85a4bf6e1d63b310f9fc5aa20519bb2e3c51f32
 DIST upower-0.99.3.tar.xz 429252 SHA256 
697199bcc113bb069e6fb6bf4135536a702ba9847e46c5fc6df87d19624ddd38 SHA512 
665b5b03605910b3a2d3f32e4846c2b2ab4c91ba91c55dde8c5b8ab3856f3d6fea5efac20fdb608050b57979ed344ef630c76acc0b3f858e8c5168f6adeb2d64
 WHIRLPOOL 
c6543518d64c1628763695a10f81d6ae9b48f252c7a7ee68deb1249489329414101a620c1f529c8f76e460713faeb0077c75489466c6aeb54008590b49441181
+DIST upower-0.99.4.tar.xz 426292 SHA256 
9ca325a6ccef505529b268ebbbd9becd0ce65a65f6ac7ee31e2e5b17648037b0 SHA512 
b3fdee5ccf5f4d0c69e227f543272f6952119132814e27bc8f112716b8d36b5e07741a87bcf02203e80ef910cad9ddffa1adecb338c9a9aaa5e1038b62be07f3
 WHIRLPOOL 
f203682b272e2f9ff7b48a1b4ee359569cbce2314edc599bfc82182e274d95446a8b59228e1dc250db9b823efdd8129cb99022b498f6d7af3b79bbc7ccb42f0f

diff --git a/sys-power/upower/upower-0.99.4.ebuild 
b/sys-power/upower/upower-0.99.4.ebuild
new file mode 100644
index 0000000..844b4ac
--- /dev/null
+++ b/sys-power/upower/upower-0.99.4.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils systemd
+
+DESCRIPTION="D-Bus abstraction for enumerating power devices, querying history 
and statistics"
+HOMEPAGE="http://upower.freedesktop.org/";
+SRC_URI="http://${PN}.freedesktop.org/releases/${P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0/3" # based on SONAME of libupower-glib.so
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+# gtk-doc files are not available as prebuilt in the tarball
+IUSE="doc +introspection ios kernel_FreeBSD kernel_linux selinux"
+
+COMMON_DEPS="
+       >=dev-libs/dbus-glib-0.100
+       >=dev-libs/glib-2.34:2
+       sys-apps/dbus:=
+       introspection? ( dev-libs/gobject-introspection:= )
+       kernel_linux? (
+               virtual/libusb:1
+               virtual/libgudev:=
+               virtual/udev
+               ios? (
+                       >=app-pda/libimobiledevice-1:=
+                       >=app-pda/libplist-1:=
+                       )
+               )
+"
+RDEPEND="
+       ${COMMON_DEPS}
+       selinux? ( sec-policy/selinux-devicekit )
+"
+DEPEND="${COMMON_DEPS}
+       doc? ( dev-util/gtk-doc )
+       dev-libs/libxslt
+       app-text/docbook-xsl-stylesheets
+       dev-util/intltool
+       >=sys-devel/gettext-0.17
+       virtual/pkgconfig
+"
+
+QA_MULTILIB_PATHS="usr/lib/${PN}/.*"
+
+DOCS="AUTHORS HACKING NEWS README"
+
+src_prepare() {
+       sed -i -e '/DISABLE_DEPRECATED/d' configure || die
+}
+
+src_configure() {
+       local backend myconf
+
+       if use kernel_linux; then
+               backend=linux
+       elif use kernel_FreeBSD; then
+               backend=freebsd
+       else
+               backend=dummy
+       fi
+
+       econf \
+               $(use_enable doc gtk-doc) \
+               --libexecdir="${EPREFIX}"/usr/lib/${PN} \
+               --localstatedir="${EPREFIX}"/var \
+               $(use_enable introspection) \
+               --disable-static \
+               ${myconf} \
+               --enable-man-pages \
+               --disable-tests \
+               --with-backend=${backend} \
+               $(use_with ios idevice) \
+               "$(systemd_with_utildir)" \
+               "$(systemd_with_unitdir)"
+}
+
+src_install() {
+       default
+       keepdir /var/lib/upower #383091
+       prune_libtool_files
+}

Reply via email to